Bug 1293149 - Falsely tries to install installed already updates
Falsely tries to install installed already updates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 14:00 EST by M_M
Modified: 2016-12-20 12:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:13:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Snapshot of Software (84.89 KB, image/png)
2015-12-20 14:00 EST, M_M
no flags Details

  None (edit)
Description M_M 2015-12-20 14:00:08 EST
Created attachment 1108005 [details]
Snapshot of Software

Description of problem:


Version-Release number of selected component (if applicable):
Latest

sudo dnf -y upgrade

Last metadata expiration check performed 0:50:07 ago on Sun Dec 20 21:04:20 2015.
Dependencies resolved.
Nothing to do.
Complete!




How reproducible:


Steps to Reproduce:
1. sudo dnf upgrade
2. reboot
3. open Gnome Software 

Actual results:


Expected results:
No the same already updated updates in the list

Additional info:

What is the way to reset it?)
Comment 1 M_M 2015-12-20 14:02:10 EST
Few presses of Update button in Gnome Software clean the false state.

But it's still abnormal.
Comment 2 Panormitis Petrou 2016-01-18 01:36:58 EST
I can confirm this behavior on Fedora 23 and even on CentOS 7.
Both systems are fully updated, the issue still exists.

Shouldn't DNF inform gnome-software somehow, that updates are already installed?
Comment 3 Fedora End Of Life 2016-11-24 09:24:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:13:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.